package com.xy.service;

import com.xy.annotate.RestMappingController;
import com.xy.dto.SysSystemUserDto;
import com.xy.utils.R;
import org.springframework.web.bind.annotation.PostMapping;

/**
 * <p>
 * 权限用户表 服务类
 * </p>
 *
 * @author lijin
 * @since 2022-12-09
 */
@RestMappingController("sys-system-user")
public interface SysSystemUserService {

    /**
     * 注册
     *
     * @param sysSystemUserDto
     * @return
     */
    @PostMapping("register")
    R<Boolean> register(SysSystemUserDto sysSystemUserDto);
}
